Boot options configuration for VMware guests

03/03/2014 09:38 PM - Bryce Camp

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The ability to change the "Options" for a vmware guest would be very important.   For example, the configuration of hot-plug and boot

options are commonly used in enterprises.

Related issues:

Related to Foreman - Feature #1946: Addition VMWare options required for VM c... Resolved 11/15/2012

Related to Boot disk - Feature #19013: It would be useful if Boot Retry was e... Closed 03/23/2017

History

#1 - 03/04/2014 08:25 AM - Dominic Cleal

- Category set to Compute resources

#2 - 03/05/2014 04:26 PM - Angelo Lisco

Maybe we can mark this as a child of http://projects.theforeman.org/issues/1946

#3 - 03/05/2014 05:03 PM - Dominic Cleal

- Related to Feature #1946: Addition VMWare options required for VM creation added

#4 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#5 - 09/16/2015 05:50 AM - Mathieu Parent

Mem and CPU hotplug has a separate ticket : http://projects.theforeman.org/issues/8295

This one should be retitled to focus on "boot options".

#6 - 09/16/2015 06:00 AM - Dominic Cleal

- Subject changed from Vmware guest Options to Boot options configuration for VMware guests

#7 - 10/30/2015 06:13 AM - Mathieu Parent

A powershell snipset to limit boot modes :

$VM = YourVMName

$spec = New-Object VMware.Vim.VirtualMachineConfigSpec

$spec.extraConfig += New-Object VMware.Vim.OptionValue

$spec.extraConfig[0].key = "bios.bootDeviceClasses" 

$spec.extraConfig[0].value = "allow:net,hd,cd" 

 Note that option sets only list of allowed device classes, not their

order - so 'allow:net,cd' and 'allow:cd,net' are equivalent.

 Ref : http://download3.vmware.com/sample_code/Perl/VMBootOrder.html
#8 - 03/23/2017 05:06 PM - Greg Koch

- Related to Feature #19013: It would be useful if Boot Retry was enabled or configurable added
